# Class Log4JSource

java.lang.Object
org.apache.zookeeper.graph.Log4JSource

All Implemented Interfaces:
  `Iterable<LogEntry>, LogSource`

public class Log4JSource extends Object implements LogSource

## Constructor Summary

Constructors
Constructor
Description
`Log4JSource(String file)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getEndTime()`
`int`
`getServerId()`
`LogSkipList`
`getSkipList()`
`long`
`getStartTime()`
`LogIterator`
`iterator()`
`LogIterator`
`iterator(long starttime, long endtime)`
`LogIterator`
`iterator(long starttime, long endtime, FilterOp filter)`
`static void`
`main(String[] args)`
`boolean`
`overlapsRange(long starttime, long endtime)`
`long`
`size()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### Log4JSource

public Log4JSource(String file) throws IOException

Throws:
  `IOException`

## Method Details

### overlapsRange

public boolean overlapsRange(long starttime, long endtime)

Specified by:
  `overlapsRange` in interface `LogSource`

### size

public long size()

Specified by:
  `size` in interface `LogSource`

### getStartTime

public long getStartTime()

Specified by:
  `getStartTime` in interface `LogSource`

### getEndTime

public long getEndTime()

Specified by:
  `getEndTime` in interface `LogSource`

### getSkipList

public LogSkipList getSkipList()

### iterator

public LogIterator iterator(long starttime, long endtime) throws IllegalArgumentException

Specified by:
  `iterator` in interface `LogSource`
Throws:
  `IllegalArgumentException`

### iterator

public LogIterator iterator(long starttime, long endtime, FilterOp filter) throws IllegalArgumentException, FilterException

Specified by:
  `iterator` in interface `LogSource`
Throws:
  `IllegalArgumentException`
  `FilterException`

### iterator

public LogIterator iterator() throws IllegalArgumentException

Specified by:
  `iterator` in interface `Iterable<LogEntry>`
Specified by:
  `iterator` in interface `LogSource`
Throws:
  `IllegalArgumentException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`

### getServerId

public int getServerId()